LinuxQuestions.org
Latest LQ Deal: Latest LQ Deals
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 06-12-2017, 07:31 AM   #1
taru.tarak
Member
 
Registered: Aug 2016
Distribution: CentOS
Posts: 81

Rep: Reputation: Disabled
PHP Warning || Unable to load dynamic library '/usr/lib64/php/modules/ffmpeg.son'


Hello,

Please go through the belew PHP Warning:
===========
PHP Warning: PHP Startup: Unable to load dynamic library '/usr/lib64/php/modules/ffmpeg.son' - /usr/lib64/php/modules/ffmpeg.son: cannot open shared object file: No such file or directory in Unknown on line 0

============
Note that previously we have installed the following tools on the server manually:

FFMPEG
FLVtool2
MP4Box
PHPShield
ImageMagick

Ref link: http://www.sohailworld.com/how-to-in...centos-server/

But somehow this method were not worked for me, then I have installed 'gpac' with RPM fusion repository. That time all tools are working fine except PHPShield, which I have installed manually. I expect that there might be some mistaken from my end when I have tried manually installation for (FFMPEG, FLVtool2, MP4Box, & ImageMagick ) but I am not able to find where and what I had mistaken.

What does that mean by this PHP warning? It will be very great help if anyone help me out on this.

System Info:
CentOS 6.9

Regards,
Tarak Nath
 
Old 06-12-2017, 10:02 AM   #2
cliffordw
Member
 
Registered: Jan 2012
Location: South Africa
Posts: 509

Rep: Reputation: 203Reputation: 203Reputation: 203
Hi there,

Have you checked whether the file exists, and what other files exist in that directory? A really wild guess would be that there is a typo, possibly ".so" and not ".son"?

Regards,

Clifford
 
Old 06-12-2017, 12:31 PM   #3
taru.tarak
Member
 
Registered: Aug 2016
Distribution: CentOS
Posts: 81

Original Poster
Rep: Reputation: Disabled
Hello Clifford,

When I am trying to run "yum -y update" , then I am getting below error:

====================
Transaction Check Error:
file /usr/lib64/libpostproc.so from install of ffmpeg-devel-0.10.16-1.el6.x86_64 conflicts with file from package ffmpeg-libpostproc-0.6.5-1.el6.rf.x86_64
file /usr/lib64/pkgconfig/libpostproc.pc from install of ffmpeg-devel-0.10.16-1.el6.x86_64 conflicts with file from package ffmpeg-libpostproc-0.6.5-1.el6.rf.x86_64
file /usr/lib64/libpostproc.so.51.2.0 from install of ffmpeg-compat-0.6.7-1.el6.x86_64 conflicts with file from package ffmpeg-libpostproc-0.6.5-1.el6.rf.x86_64

Error Summary
===================

Regards,
Tarak Nath
 
Old 06-13-2017, 09:43 PM   #4
AwesomeMachine
LQ Guru
 
Registered: Jan 2005
Location: USA and Italy
Distribution: Debian testing/sid; OpenSuSE; Fedora; Mint
Posts: 5,513

Rep: Reputation: 1009Reputation: 1009Reputation: 1009Reputation: 1009Reputation: 1009Reputation: 1009Reputation: 1009Reputation: 1009
That can happen when things are manually installed. I would remove the old packages before installing new ones. And I agree there may be a spelling error regarding .son files.
 
Old 08-29-2017, 08:04 AM   #5
taru.tarak
Member
 
Registered: Aug 2016
Distribution: CentOS
Posts: 81

Original Poster
Rep: Reputation: Disabled
Sorry for late as I was very ill.

Please find the below in full details while I am trying to update my system:

################################

[root@dev1 php]# yum update
Loaded plugins: fastestmirror, replace
Setting up Update Process
Determining fastest mirrors
epel/metalink | 5.6 kB 00:00
* base: centos.mirror.snu.edu.in
* epel: kartolo.sby.datautama.net.id
* extras: centos.mirror.snu.edu.in
* remi-safe: mirrors.thzhost.com
* rpmforge: kartolo.sby.datautama.net.id
* rpmfusion-free-updates: kartolo.sby.datautama.net.id
* updates: centos.mirror.snu.edu.in
* webtatic: sp.repo.webtatic.com
base | 3.7 kB 00:00
epel | 4.3 kB 00:00
epel/primary_db | 5.9 MB 00:11
extras | 3.4 kB 00:00
mysql-connectors-community | 2.5 kB 00:00
mysql-tools-community | 2.5 kB 00:00
mysql56-community | 2.5 kB 00:00
remi-safe | 2.9 kB 00:00
remi-safe/primary_db | 756 kB 00:01
rpmforge | 1.9 kB 00:00
rpmfusion-free-updates | 3.0 kB 00:00
updates | 3.4 kB 00:00
webtatic | 3.6 kB 00:00
webtatic/primary_db | 118 kB 00:00
Resolving Dependencies
--> Running transaction check
---> Package dhclient.x86_64 12:4.1.1-53.P1.el6.centos will be updated
---> Package dhclient.x86_64 12:4.1.1-53.P1.el6.centos.1 will be an update
---> Package dhcp-common.x86_64 12:4.1.1-53.P1.el6.centos will be updated
---> Package dhcp-common.x86_64 12:4.1.1-53.P1.el6.centos.1 will be an update
---> Package faad2.x86_64 0:2.7-1.el6.rf will be obsoleted
---> Package faad2-devel.x86_64 0:2.7-1.el6.rf will be updated
---> Package faad2-devel.x86_64 1:2.7-2.el6.3 will be an update
---> Package faad2-libs.x86_64 1:2.7-2.el6.3 will be obsoleting
---> Package ffmpeg.x86_64 0:0.6.5-1.el6.rf will be updated
--> Processing Dependency: libavutil.so.50()(64bit) for package: ffmpeg-libpostproc-0.6.5-1.el6.rf.x86_64
--> Processing Dependency: libavutil.so.50(LIBAVUTIL_50)(64bit) for package: ffmpeg-libpostproc-0.6.5-1.el6.rf.x86_64
---> Package ffmpeg.x86_64 0:0.10.16-1.el6 will be an update
---> Package ffmpeg-devel.x86_64 0:0.6.5-1.el6.rf will be updated
---> Package ffmpeg-devel.x86_64 0:0.10.16-1.el6 will be an update
---> Package git.x86_64 0:1.7.1-8.el6 will be updated
---> Package git.x86_64 0:1.7.1-9.el6_9 will be an update
---> Package glibc.x86_64 0:2.12-1.209.el6_9.1 will be updated
---> Package glibc.x86_64 0:2.12-1.209.el6_9.2 will be an update
---> Package glibc-common.x86_64 0:2.12-1.209.el6_9.1 will be updated
---> Package glibc-common.x86_64 0:2.12-1.209.el6_9.2 will be an update
---> Package glibc-devel.x86_64 0:2.12-1.209.el6_9.1 will be updated
---> Package glibc-devel.x86_64 0:2.12-1.209.el6_9.2 will be an update
---> Package glibc-headers.x86_64 0:2.12-1.209.el6_9.1 will be updated
---> Package glibc-headers.x86_64 0:2.12-1.209.el6_9.2 will be an update
---> Package initscripts.x86_64 0:9.03.58-1.el6.centos will be updated
---> Package initscripts.x86_64 0:9.03.58-1.el6.centos.1 will be an update
---> Package iscsi-initiator-utils.x86_64 0:6.2.0.873-26.el6 will be updated
---> Package iscsi-initiator-utils.x86_64 0:6.2.0.873-27.el6_9 will be an update
---> Package kernel.x86_64 0:2.6.32-696.10.1.el6 will be installed
---> Package kernel-devel.x86_64 0:2.6.32-696.10.1.el6 will be installed
---> Package kernel-firmware.noarch 0:2.6.32-696.1.1.el6 will be updated
---> Package kernel-firmware.noarch 0:2.6.32-696.10.1.el6 will be an update
---> Package kernel-headers.x86_64 0:2.6.32-696.1.1.el6 will be updated
---> Package kernel-headers.x86_64 0:2.6.32-696.10.1.el6 will be an update
---> Package lame.x86_64 0:3.99.5-1.el6.rf will be updated
--> Processing Dependency: libmp3lame.so.0()(64bit) for package: ffmpeg-libs-0.10.16-1.el6.x86_64
--> Processing Dependency: libmp3lame.so.0()(64bit) for package: lame-devel-3.99.5-8.el6.x86_64
--> Processing Dependency: libmp3lame.so.0()(64bit) for package: ffmpeg-compat-0.6.7-1.el6.x86_64
--> Processing Dependency: libmp3lame.so.0()(64bit) for package: lame-3.99.5-8.el6.x86_64
---> Package lame.x86_64 0:3.99.5-8.el6 will be an update
---> Package lame-devel.x86_64 0:3.99.5-1.el6.rf will be updated
---> Package lame-devel.x86_64 0:3.99.5-8.el6 will be an update
---> Package libacl.x86_64 0:2.2.49-7.el6 will be updated
---> Package libacl.x86_64 0:2.2.49-7.el6_9.1 will be an update
---> Package librtmp.x86_64 0:2.3-1.el6.rf will be updated
---> Package librtmp.x86_64 0:2.3-3.el6 will be an update
---> Package librtmp-devel.x86_64 0:2.3-1.el6.rf will be updated
---> Package librtmp-devel.x86_64 0:2.3-3.el6 will be an update
---> Package mod_php71w.x86_64 0:7.1.6-1.w6 will be updated
---> Package mod_php71w.x86_64 0:7.1.8-2.w6 will be an update
---> Package nss.x86_64 0:3.28.4-1.el6_9 will be updated
---> Package nss.x86_64 0:3.28.4-3.el6_9 will be an update
---> Package nss-sysinit.x86_64 0:3.28.4-1.el6_9 will be updated
---> Package nss-sysinit.x86_64 0:3.28.4-3.el6_9 will be an update
---> Package nss-tools.x86_64 0:3.28.4-1.el6_9 will be updated
---> Package nss-tools.x86_64 0:3.28.4-3.el6_9 will be an update
---> Package opencore-amr.x86_64 0:0.1.2-1.el6.rf will be updated
---> Package opencore-amr.x86_64 0:0.1.2-2.el6 will be an update
---> Package opencore-amr-devel.x86_64 0:0.1.2-1.el6.rf will be updated
---> Package opencore-amr-devel.x86_64 0:0.1.2-2.el6 will be an update
---> Package perl-Git.noarch 0:1.7.1-8.el6 will be updated
---> Package perl-Git.noarch 0:1.7.1-9.el6_9 will be an update
---> Package php70-php-common.x86_64 0:7.0.20-1.el6.remi will be updated
---> Package php70-php-common.x86_64 0:7.0.22-2.el6.remi will be an update
---> Package php70-php-fpm.x86_64 0:7.0.20-1.el6.remi will be updated
---> Package php70-php-fpm.x86_64 0:7.0.22-2.el6.remi will be an update
---> Package php70-php-gd.x86_64 0:7.0.20-1.el6.remi will be updated
---> Package php70-php-gd.x86_64 0:7.0.22-2.el6.remi will be an update
---> Package php70-php-imap.x86_64 0:7.0.20-1.el6.remi will be updated
---> Package php70-php-imap.x86_64 0:7.0.22-2.el6.remi will be an update
---> Package php70-php-intl.x86_64 0:7.0.20-1.el6.remi will be updated
---> Package php70-php-intl.x86_64 0:7.0.22-2.el6.remi will be an update
---> Package php70-php-json.x86_64 0:7.0.20-1.el6.remi will be updated
---> Package php70-php-json.x86_64 0:7.0.22-2.el6.remi will be an update
---> Package php70-php-mbstring.x86_64 0:7.0.20-1.el6.remi will be updated
---> Package php70-php-mbstring.x86_64 0:7.0.22-2.el6.remi will be an update
---> Package php70-php-mcrypt.x86_64 0:7.0.20-1.el6.remi will be updated
---> Package php70-php-mcrypt.x86_64 0:7.0.22-2.el6.remi will be an update
---> Package php70-php-mysqlnd.x86_64 0:7.0.20-1.el6.remi will be updated
---> Package php70-php-mysqlnd.x86_64 0:7.0.22-2.el6.remi will be an update
---> Package php70-php-opcache.x86_64 0:7.0.20-1.el6.remi will be updated
---> Package php70-php-opcache.x86_64 0:7.0.22-2.el6.remi will be an update
---> Package php70-php-pdo.x86_64 0:7.0.20-1.el6.remi will be updated
---> Package php70-php-pdo.x86_64 0:7.0.22-2.el6.remi will be an update
---> Package php70-php-pecl-zip.x86_64 0:1.14.0-1.el6.remi will be updated
---> Package php70-php-pecl-zip.x86_64 0:1.15.1-1.el6.remi will be an update
---> Package php70-php-xml.x86_64 0:7.0.20-1.el6.remi will be updated
---> Package php70-php-xml.x86_64 0:7.0.22-2.el6.remi will be an update
---> Package php71w-cli.x86_64 0:7.1.6-1.w6 will be updated
---> Package php71w-cli.x86_64 0:7.1.8-2.w6 will be an update
---> Package php71w-common.x86_64 0:7.1.6-1.w6 will be updated
---> Package php71w-common.x86_64 0:7.1.8-2.w6 will be an update
---> Package php71w-gd.x86_64 0:7.1.6-1.w6 will be updated
---> Package php71w-gd.x86_64 0:7.1.8-2.w6 will be an update
---> Package php71w-intl.x86_64 0:7.1.6-1.w6 will be updated
---> Package php71w-intl.x86_64 0:7.1.8-2.w6 will be an update
---> Package php71w-mbstring.x86_64 0:7.1.6-1.w6 will be updated
---> Package php71w-mbstring.x86_64 0:7.1.8-2.w6 will be an update
---> Package php71w-mcrypt.x86_64 0:7.1.6-1.w6 will be updated
---> Package php71w-mcrypt.x86_64 0:7.1.8-2.w6 will be an update
---> Package php71w-mysqlnd.x86_64 0:7.1.6-1.w6 will be updated
---> Package php71w-mysqlnd.x86_64 0:7.1.8-2.w6 will be an update
---> Package php71w-pdo.x86_64 0:7.1.6-1.w6 will be updated
---> Package php71w-pdo.x86_64 0:7.1.8-2.w6 will be an update
---> Package php71w-xml.x86_64 0:7.1.6-1.w6 will be updated
---> Package php71w-xml.x86_64 0:7.1.8-2.w6 will be an update
---> Package procps.x86_64 0:3.2.8-45.el6 will be updated
---> Package procps.x86_64 0:3.2.8-45.el6_9.1 will be an update
---> Package remi-release.noarch 0:6.8-2.el6.remi will be updated
---> Package remi-release.noarch 0:6.9-1.el6.remi will be an update
---> Package selinux-policy.noarch 0:3.7.19-307.el6 will be updated
---> Package selinux-policy.noarch 0:3.7.19-307.el6_9.2 will be an update
---> Package selinux-policy-targeted.noarch 0:3.7.19-307.el6 will be updated
---> Package selinux-policy-targeted.noarch 0:3.7.19-307.el6_9.2 will be an update
---> Package sudo.x86_64 0:1.8.6p3-27.el6 will be updated
---> Package sudo.x86_64 0:1.8.6p3-29.el6_9 will be an update
---> Package x264.x86_64 0:0.0.0-0.4.20101111.el6.rf will be updated
---> Package x264.x86_64 0:0.120-5.20120303.el6 will be an update
---> Package x264-devel.x86_64 0:0.0.0-0.4.20101111.el6.rf will be updated
---> Package x264-devel.x86_64 0:0.120-5.20120303.el6 will be an update
--> Running transaction check
---> Package ffmpeg-compat.x86_64 0:0.6.7-1.el6 will be installed
---> Package lame-libs.x86_64 0:3.99.5-8.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

==================================================================================================== =====================================
Package Arch Version Repository Size
==================================================================================================== =====================================
Installing:
faad2-libs x86_64 1:2.7-2.el6.3 rpmfusion-free-updates 145 k
replacing faad2.x86_64 2.7-1.el6.rf
kernel x86_64 2.6.32-696.10.1.el6 updates 32 M
kernel-devel x86_64 2.6.32-696.10.1.el6 updates 11 M
Updating:
a52dec x86_64 0.7.4-15.el6.3 rpmfusion-free-updates 50 k
a52dec-devel x86_64 0.7.4-15.el6.3 rpmfusion-free-updates 12 k
acl x86_64 2.2.49-7.el6_9.1 updates 76 k
ca-certificates noarch 2017.2.14-65.0.1.el6_9 updates 1.3 M
cups-libs x86_64 1:1.4.2-78.el6_9 updates 322 k
dhclient x86_64 12:4.1.1-53.P1.el6.centos.1 updates 322 k
dhcp-common x86_64 12:4.1.1-53.P1.el6.centos.1 updates 144 k
faad2-devel x86_64 1:2.7-2.el6.3 rpmfusion-free-updates 31 k
ffmpeg x86_64 0.10.16-1.el6 rpmfusion-free-updates 323 k
ffmpeg-devel x86_64 0.10.16-1.el6 rpmfusion-free-updates 192 k
git x86_64 1.7.1-9.el6_9 updates 4.6 M
glibc x86_64 2.12-1.209.el6_9.2 updates 3.8 M
glibc-common x86_64 2.12-1.209.el6_9.2 updates 14 M
glibc-devel x86_64 2.12-1.209.el6_9.2 updates 991 k
glibc-headers x86_64 2.12-1.209.el6_9.2 updates 620 k
httpd x86_64 2.2.15-60.el6.centos.5 updates 836 k
httpd-tools x86_64 2.2.15-60.el6.centos.5 updates 80 k
initscripts x86_64 9.03.58-1.el6.centos.1 updates 949 k
iscsi-initiator-utils x86_64 6.2.0.873-27.el6_9 updates 732 k
kernel-firmware noarch 2.6.32-696.10.1.el6 updates 29 M
kernel-headers x86_64 2.6.32-696.10.1.el6 updates 4.5 M
lame x86_64 3.99.5-8.el6 epel 126 k
lame-devel x86_64 3.99.5-8.el6 epel 26 k
libacl x86_64 2.2.49-7.el6_9.1 updates 24 k
librtmp x86_64 2.3-3.el6 rpmfusion-free-updates 54 k
librtmp-devel x86_64 2.3-3.el6 rpmfusion-free-updates 17 k
mod_php71w x86_64 7.1.8-2.w6 webtatic 2.8 M
nss x86_64 3.28.4-3.el6_9 updates 879 k
nss-sysinit x86_64 3.28.4-3.el6_9 updates 51 k
nss-tools x86_64 3.28.4-3.el6_9 updates 447 k
opencore-amr x86_64 0.1.2-2.el6 rpmfusion-free-updates 162 k
opencore-amr-devel x86_64 0.1.2-2.el6 rpmfusion-free-updates 6.3 k
perl-Git noarch 1.7.1-9.el6_9 updates 29 k
php70-php-common x86_64 7.0.22-2.el6.remi remi-safe 579 k
php70-php-fpm x86_64 7.0.22-2.el6.remi remi-safe 1.4 M
php70-php-gd x86_64 7.0.22-2.el6.remi remi-safe 66 k
php70-php-imap x86_64 7.0.22-2.el6.remi remi-safe 68 k
php70-php-intl x86_64 7.0.22-2.el6.remi remi-safe 164 k
php70-php-json x86_64 7.0.22-2.el6.remi remi-safe 57 k
php70-php-mbstring x86_64 7.0.22-2.el6.remi remi-safe 517 k
php70-php-mcrypt x86_64 7.0.22-2.el6.remi remi-safe 54 k
php70-php-mysqlnd x86_64 7.0.22-2.el6.remi remi-safe 165 k
php70-php-opcache x86_64 7.0.22-2.el6.remi remi-safe 118 k
php70-php-pdo x86_64 7.0.22-2.el6.remi remi-safe 97 k
php70-php-pecl-zip x86_64 1.15.1-1.el6.remi remi-safe 39 k
php70-php-xml x86_64 7.0.22-2.el6.remi remi-safe 150 k
php71w-cli x86_64 7.1.8-2.w6 webtatic 2.7 M
php71w-common x86_64 7.1.8-2.w6 webtatic 1.2 M
php71w-gd x86_64 7.1.8-2.w6 webtatic 121 k
php71w-intl x86_64 7.1.8-2.w6 webtatic 159 k
php71w-mbstring x86_64 7.1.8-2.w6 webtatic 947 k
php71w-mcrypt x86_64 7.1.8-2.w6 webtatic 20 k
php71w-mysqlnd x86_64 7.1.8-2.w6 webtatic 173 k
php71w-pdo x86_64 7.1.8-2.w6 webtatic 76 k
php71w-xml x86_64 7.1.8-2.w6 webtatic 107 k
procps x86_64 3.2.8-45.el6_9.1 updates 219 k
remi-release noarch 6.9-1.el6.remi remi-safe 11 k
selinux-policy noarch 3.7.19-307.el6_9.2 updates 895 k
selinux-policy-targeted noarch 3.7.19-307.el6_9.2 updates 3.1 M
sudo x86_64 1.8.6p3-29.el6_9 updates 711 k
x264 x86_64 0.120-5.20120303.el6 rpmfusion-free-updates 211 k
x264-devel x86_64 0.120-5.20120303.el6 rpmfusion-free-updates 31 k
Installing for dependencies:
ffmpeg-compat x86_64 0.6.7-1.el6 rpmfusion-free-updates 2.6 M
lame-libs x86_64 3.99.5-8.el6 epel 340 k

Transaction Summary
==================================================================================================== =====================================
Install 5 Package(s)
Upgrade 66 Package(s)

Total size: 202 M
Total download size: 195 M
Is this ok [y/N]: y
Downloading Packages:
(1/53): acl-2.2.49-7.el6_9.1.x86_64.rpm | 76 kB 00:00
(2/53): ca-certificates-2017.2.14-65.0.1.el6_9.noarch.rpm | 1.3 MB 00:01
(3/53): dhclient-4.1.1-53.P1.el6.centos.1.x86_64.rpm | 322 kB 00:00
(4/53): dhcp-common-4.1.1-53.P1.el6.centos.1.x86_64.rpm | 144 kB 00:00
(5/53): git-1.7.1-9.el6_9.x86_64.rpm | 4.6 MB 00:05
(6/53): glibc-2.12-1.209.el6_9.2.x86_64.rpm | 3.8 MB 00:04
(7/53): glibc-common-2.12-1.209.el6_9.2.x86_64.rpm | 14 MB 00:17
(8/53): glibc-devel-2.12-1.209.el6_9.2.x86_64.rpm | 991 kB 00:01
(9/53): glibc-headers-2.12-1.209.el6_9.2.x86_64.rpm | 620 kB 00:00
(10/53): httpd-2.2.15-60.el6.centos.5.x86_64.rpm | 836 kB 00:00
(11/53): httpd-tools-2.2.15-60.el6.centos.5.x86_64.rpm | 80 kB 00:00
(12/53): iscsi-initiator-utils-6.2.0.873-27.el6_9.x86_64.rpm | 732 kB 00:00
(13/53): kernel-2.6.32-696.10.1.el6.x86_64.rpm | 32 MB 00:35
(14/53): kernel-devel-2.6.32-696.10.1.el6.x86_64.rpm | 11 MB 00:13
(15/53): kernel-firmware-2.6.32-696.10.1.el6.noarch.rpm | 29 MB 00:34
(16/53): kernel-headers-2.6.32-696.10.1.el6.x86_64.rpm | 4.5 MB 00:04
(17/53): lame-3.99.5-8.el6.x86_64.rpm | 126 kB 00:00
(18/53): lame-devel-3.99.5-8.el6.x86_64.rpm | 26 kB 00:00
(19/53): lame-libs-3.99.5-8.el6.x86_64.rpm | 340 kB 00:00
(20/53): libacl-2.2.49-7.el6_9.1.x86_64.rpm | 24 kB 00:00
(21/53): mod_php71w-7.1.8-2.w6.x86_64.rpm | 2.8 MB 00:03
(22/53): mysql-community-client-5.6.37-2.el6.x86_64.rpm | 18 MB 00:20
(23/53): mysql-community-common-5.6.37-2.el6.x86_64.rpm | 308 kB 00:00
(24/53): mysql-community-libs-5.6.37-2.el6.x86_64.rpm | 1.9 MB 00:02
(25/53): mysql-community-server-5.6.37-2.el6.x86_64.rpm | 55 MB 00:57
(26/53): perl-Git-1.7.1-9.el6_9.noarch.rpm | 29 kB 00:00
(27/53): php70-php-common-7.0.22-2.el6.remi.x86_64.rpm | 579 kB 00:00
(28/53): php70-php-fpm-7.0.22-2.el6.remi.x86_64.rpm | 1.4 MB 00:01
(29/53): php70-php-gd-7.0.22-2.el6.remi.x86_64.rpm | 66 kB 00:00
(30/53): php70-php-imap-7.0.22-2.el6.remi.x86_64.rpm | 68 kB 00:00
(31/53): php70-php-intl-7.0.22-2.el6.remi.x86_64.rpm | 164 kB 00:00
(32/53): php70-php-json-7.0.22-2.el6.remi.x86_64.rpm | 57 kB 00:00
(33/53): php70-php-mbstring-7.0.22-2.el6.remi.x86_64.rpm | 517 kB 00:00
(34/53): php70-php-mcrypt-7.0.22-2.el6.remi.x86_64.rpm | 54 kB 00:00
(35/53): php70-php-mysqlnd-7.0.22-2.el6.remi.x86_64.rpm | 165 kB 00:00
(36/53): php70-php-opcache-7.0.22-2.el6.remi.x86_64.rpm | 118 kB 00:00
(37/53): php70-php-pdo-7.0.22-2.el6.remi.x86_64.rpm | 97 kB 00:00
(38/53): php70-php-pecl-zip-1.15.1-1.el6.remi.x86_64.rpm | 39 kB 00:00
(39/53): php70-php-xml-7.0.22-2.el6.remi.x86_64.rpm | 150 kB 00:00
(40/53): php71w-cli-7.1.8-2.w6.x86_64.rpm | 2.7 MB 00:02
(41/53): php71w-common-7.1.8-2.w6.x86_64.rpm | 1.2 MB 00:01
(42/53): php71w-gd-7.1.8-2.w6.x86_64.rpm | 121 kB 00:00
(43/53): php71w-intl-7.1.8-2.w6.x86_64.rpm | 159 kB 00:00
(44/53): php71w-mbstring-7.1.8-2.w6.x86_64.rpm | 947 kB 00:00
(45/53): php71w-mcrypt-7.1.8-2.w6.x86_64.rpm | 20 kB 00:00
(46/53): php71w-mysqlnd-7.1.8-2.w6.x86_64.rpm | 173 kB 00:00
(47/53): php71w-pdo-7.1.8-2.w6.x86_64.rpm | 76 kB 00:00
(48/53): php71w-xml-7.1.8-2.w6.x86_64.rpm | 107 kB 00:00
(49/53): procps-3.2.8-45.el6_9.1.x86_64.rpm | 219 kB 00:00
(50/53): remi-release-6.9-1.el6.remi.noarch.rpm | 11 kB 00:00
(51/53): selinux-policy-3.7.19-307.el6_9.2.noarch.rpm | 895 kB 00:00
(52/53): selinux-policy-targeted-3.7.19-307.el6_9.2.noarch.rpm | 3.1 MB 00:03
(53/53): sudo-1.8.6p3-29.el6_9.x86_64.rpm | 711 kB 00:00
-----------------------------------------------------------------------------------------------------------------------------------------
Total 877 kB/s | 195 MB 03:48
Running rpm_check_debug
Running Transaction Test


Transaction Check Error:
file /usr/lib64/libpostproc.so.51.2.0 from install of ffmpeg-compat-0.6.7-1.el6.x86_64 conflicts with file from package ffmpeg-libpostproc-0.6.5-1.el6.rf.x86_64
file /usr/lib64/libpostproc.so from install of ffmpeg-devel-0.10.16-1.el6.x86_64 conflicts with file from package ffmpeg-libpostproc-0.6.5-1.el6.rf.x86_64
file /usr/lib64/pkgconfig/libpostproc.pc from install of ffmpeg-devel-0.10.16-1.el6.x86_64 conflicts with file from package ffmpeg-libpostproc-0.6.5-1.el6.rf.x86_64


Error Summary

################################

It seems that we have both rpmfusion-free-updates (i.e.ffmpeg-compat-0.6.6-1.el6.x86_64) and rpmforge (i.e. ffmpeg-libpostproc-0.6.5-1.el6.rf.x86_64) enabled (and likely other 3rd party repos). May be both provide /usr/lib64/libpostproc.so.51.2.0.

Is it my thinking is right ? If yes then please let me know how can I pick one repo and disable the other.
Or suggest me if there are any better permanent solution.

Regards,
Tarak Nath
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Unable to load dynamic library '/usr/lib64/php_mcrypt.so' jonaskellens Linux - Newbie 3 10-06-2016 12:56 PM
PHP Warning: PHP Startup: Unable to load dynamic library jojanmpaul Linux - Newbie 2 11-20-2014 12:37 AM
PHP Warning: PHP Startup: Unable to load dynamic library jojanmpaul Linux - Newbie 2 03-01-2014 05:02 AM
PHP Warning: PHP Startup: Unable to load dynamic library '/usr/lib/php5/20090626/xsl malayo Debian 8 07-02-2013 04:57 AM
PHP Warning: Unable to load dynamic library xbaez Linux - Software 3 02-15-2005 06:11 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie

All times are GMT -5. The time now is 01:17 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration